package com.ruoyi.web.controller.app;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.ss.clean.domain.CleanQuery;
import com.ruoyi.ss.clean.domain.CleanVO;
import com.ruoyi.ss.clean.service.ICleanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 保洁记录Controller
 *
 * @author qzz
 * @date 2024-11-19
 */
@RestController
@RequestMapping("/app/clean")
public class AppCleanController extends BaseController
{
    @Autowired
    private ICleanService cleanService;

    /**
     * 查询保洁记录列表
     */
    @GetMapping("/list")
    public TableDataInfo list(CleanQuery query)
    {
        startPage();
        startOrderBy();
        List<CleanVO> list = cleanService.selectECleanList(query);
        return getDataTable(list);
    }


    /**
     * 获取保洁记录详细信息
     */
    @GetMapping(value = "/{cleanId}")
    public AjaxResult getInfo(@PathVariable("cleanId") Long cleanId)
    {
        return success(cleanService.selectECleanByCleanId(cleanId));
    }

    /**
     * 完成保洁
     */
    @Log(title = "完成保洁", businessType = BusinessType.COMPLETECLEANING)
    @PostMapping("/completeCleaning")
    public AjaxResult completeCleaning(Long cleanId)
    {
        if (cleanId == null) {
            return error("cleanId不能为空");
        }
        return success(cleanService.completeCleaning(cleanId));
    }

}
