package com.ruoyi.ss.equipment.domain;

import com.ruoyi.common.constant.DictTypeConstants;
import com.ruoyi.common.core.domain.ValidGroup;
import com.ruoyi.system.valid.DictValid;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 设施对象 ss_equipment
 *
 * @author qzz
 * @date 2024-12-21
 */
@Data
public class Equipment extends BaseEntity{

    private static final long serialVersionUID = 1L;

    /** 设施id */
    @ApiModelProperty("设施id")
    @NotNull(message = "设施id不能为空", groups = {ValidGroup.Update.class})
    private Long equipmentId;

    @Excel(name = "设施名称")
    @ApiModelProperty("设施名称")
    private String name;

//    @Excel(name = "图片")
//    @ApiModelProperty("图片")
//    private String picture;

    @ApiModelProperty("房间")
    @NotNull(message = "房间id不能为空", groups = {ValidGroup.Create.class})
    private Long roomId;

    @ApiModelProperty("店铺id")
    private Long storeId;

    @Excel(name = "设备名称")
    @ApiModelProperty("设备名称")
    private String storeName;

    @Excel(name = "关联的设备id(单个)")
    @ApiModelProperty("关联的设备id(单个)")
    private Long deviceId;

    @Excel(name = "设施类型：1-房间门;2-麻将桌；3-台球桌;4-房间灯;5-卫生间门;6-大门")
    @ApiModelProperty("设施类型：1-房间门;2-麻将桌；3-台球桌;4-房间灯;5-卫生间门;6-大门")
    private String type;

//    @Excel(name = "应用到设施的套餐ids")
//    @ApiModelProperty("应用到设施的套餐ids")
//    private List<Long> ruleIds;

    @ApiModelProperty("开锁方式: 1-通电开锁；2-断电开锁")
    @DictValid(type = DictTypeConstants.UNLOCK_MODE, message = "非法的开锁方式")
    private String unlockMode;

    @ApiModelProperty("开锁条件：1-有当前订单可进入；2-有历史订单可恶进入；3-无条件")
    @DictValid(type = DictTypeConstants.UNLOCK_CONDITION, message = "非法的开锁条件")
    private String unlockCondition;

    @ApiModelProperty("开锁时长")
    private Integer unlockTime;

//    @Excel(name = "标签列表")
//    @ApiModelProperty("标签列表")
////    @NotNull(message = "标签列表不允许为空", groups = {ValidGroup.Create.class})
////    @Size(min = 1, message = "至少需要一个标签", groups = {ValidGroup.Create.class})
//    private List<String> tags;

    @Excel(name = "商户id")
    @ApiModelProperty("商户id")
    private Long merchantId;

    @Excel(name = "状态")
    @ApiModelProperty("状态：0-正常；1-下架")
    private String status;

}
