package com.ruoyi.ss.store.service.impl;

import com.ruoyi.common.utils.map.GeoUtils;
import com.ruoyi.common.utils.CommonUtil;
import com.ruoyi.ss.device.service.DeviceService;
import com.ruoyi.ss.store.domain.StoreVO;
import com.ruoyi.ss.store.service.IStoreAssembler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Comparator;
import java.util.List;

/**
 * @author qzz
 * 2024/4/29
 */
@Service
public class StoreAssemblerImpl implements IStoreAssembler {

    @Autowired
    private DeviceService deviceService;

    /**
     * 拼接设备数量
     *
     * @param list 店铺列表
     */
    @Override
    public void assembleRuleInfo(List<StoreVO> list) {
//        if (CollectionUtils.isEmptyElement(list)) {
//            return;
//        }
//        Map<Long, Integer> countMap = deviceService.selectCountMapByStoreIds(list.stream().map(StoreVo::getStoreId).collect(Collectors.toList()));
    }

    /**
     * 拼接距离
     * @param list 店铺列表
     * @param lon 经度
     * @param lat 纬度
     */
    @Override
    public void assembleDistance(List<StoreVO> list, String lon, String lat) {
        if (list.isEmpty()) {
            return;
        }
        for (StoreVO eStoreVO : list) {
            eStoreVO.setDistance(CommonUtil.getDistance(lon, lat, eStoreVO.getLng(), eStoreVO.getLat()));
        }
        // 按距离升序排序
        list.sort(Comparator.comparingDouble(StoreVO::getDistance));
    }



}
